Subject: Offline Message from Samar: Where is my little tikes kitchen I ordered 2 mon
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 08:14:07 -0000

From: Samar <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/customer/account/index/
Department: 

Where is my little tikes kitchen 
I ordered 2 months ago
I contact with you myopic said you send it with saee 
I contact with Saee they said mumzworld didn’t send any thing
Please I want the truck number 
And if you lose my shipment 
Refund my money 

----
Zopim
https://www.zopim.com